org.apache.jmeter.reporters

## Class ResultAction

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.testelement.OnErrorTestElement
    - - org.apache.jmeter.reporters.ResultAction

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, SampleListener, TestElement

    public class ResultAction
    extends OnErrorTestElement
    implements Serializable, SampleListener

ResultAction - take action based on the status of the last Result

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.jmeter.testelement.OnErrorTestElement

`ON_ERROR_ACTION, ON_ERROR_BREAK_CURRENT_LOOP, ON_ERROR_CONTINUE, ON_ERROR_START_NEXT_ITERATION_OF_CURRENT_LOOP, ON_ERROR_START_NEXT_THREAD_LOOP, ON_ERROR_STOPTEST, ON_ERROR_STOPTEST_NOW, ON_ERROR_STOPTHREAD`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`ResultAction()` Constructor is initially called once for each occurrence in the test plan For GUI, several more instances are created Then clear is called at start of test Called several times during test startup The name will not necessarily have been set at this point.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `sampleOccurred(SampleEvent e)` Examine the sample(s) and take appropriate action
`void` `sampleStarted(SampleEvent e)` A sample has started.
`void` `sampleStopped(SampleEvent e)` A sample has stopped.

### Methods inherited from class org.apache.jmeter.testelement.OnErrorTestElement

`getErrorAction, isBreakCurrentLoop, isContinue, isStartNextIterationOfCurrentLoop, isStartNextThreadLoop, isStopTest, isStopTestNow, isStopThread, setErrorAction`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### ResultAction

    public ResultAction()

Constructor is initially called once for each occurrence in the test plan For GUI, several more instances are created Then clear is called at start of test Called several times during test startup The name will not necessarily have been set at this point.

### Method Detail

#### sampleOccurred

    public void sampleOccurred(SampleEvent e)

Examine the sample(s) and take appropriate action

Specified by:
  `sampleOccurred` in interface `SampleListener`
Parameters:
  `e` - the `SampleEvent` that has occurred
See Also:
  `SampleListener.sampleOccurred(org.apache.jmeter.samplers.SampleEvent)`

#### sampleStarted

    public void sampleStarted(SampleEvent e)

A sample has started.

Specified by:
  `sampleStarted` in interface `SampleListener`
Parameters:
  `e` - the `SampleEvent` that has started

#### sampleStopped

    public void sampleStopped(SampleEvent e)

A sample has stopped.

Specified by:
  `sampleStopped` in interface `SampleListener`
Parameters:
  `e` - the `SampleEvent` that has stopped